package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.Recharge;
import com.ruoyi.web.work.domain.dto.RechargeDto;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-04-17
 */
public interface IRechargeService extends IService<Recharge>{
    List<Recharge> selectList(Recharge recharge);

    AjaxResult add(Recharge recharge);

    AjaxResult edit(RechargeDto dto) throws ServerException;
}
